gr::lte::pbch_descrambler_vfvf Class Referenceabstract

Block performs descrambling of PBCH with the given Cell IDCell ID is passed to block via message port on runtime. More...

`#include <pbch_descrambler_vfvf.h>`

Inheritance diagram for gr::lte::pbch_descrambler_vfvf:
[legend]

## Public Types

typedef boost::shared_ptr< pbch_descrambler_vfvf > | sptr

## Public Member Functions

virtual void | set_cell_id (int id)=0
virtual std::vector< int > | pn_sequence () const =0

## Static Public Member Functions

static sptr | make (std::string key)
| Return a shared_ptr to a new instance of lte::pbch_descrambler_vfvf.

## Detailed Description

Block performs descrambling of PBCH with the given Cell ID

Cell ID is passed to block via message port on runtime.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pbch_descrambler_vfvf> gr::lte::pbch_descrambler_vfvf::sptr

## Member Function Documentation

## make()

static sptr gr::lte::pbch_descrambler_vfvf::make | ( | std::string | key | ) |

static

Return a shared_ptr to a new instance of lte::pbch_descrambler_vfvf.

To avoid accidental use of raw pointers, lte::pbch_descrambler_vfvf's constructor is in a private implementation class. lte::pbch_descrambler_vfvf::make is the public interface for creating new instances.

## pn_sequence()

virtual std::vector< int > gr::lte::pbch_descrambler_vfvf::pn_sequence | ( |  | ) | const

pure virtual

Implemented in gr::lte::pbch_descrambler_vfvf_impl.

## set_cell_id()

virtual void gr::lte::pbch_descrambler_vfvf::set_cell_id | ( | int | id | ) |

pure virtual

Implemented in gr::lte::pbch_descrambler_vfvf_impl.

The documentation for this class was generated from the following file:

- pbch_descrambler_vfvf.h